import { TemplateFunction } from './template';
import { IgcHTMLElement } from './igc-html-element';
export declare class IgcTooltipContainerComponent extends IgcHTMLElement {
    constructor();
    private ensureCss;
    private _template;
    set template(value: TemplateFunction);
    get template(): TemplateFunction;
    connectedCallback(): void;
    attachedCallback(): void;
    diconnectedCallBack(): void;
    private _containerTemplate;
    private _attached;
    set containerTemplate(value: TemplateFunction);
    get containerTemplate(): TemplateFunction;
    private _context;
    set context(value: any);
    get context(): any;
    private onContextChanged;
    private _id;
    private _isBridged;
    private teardownBridgedTemplate;
    private setupBridgedTemplate;
    private onTemplateChanged;
    private onContainerTemplateChanged;
    private render;
    destroy(): void;
    protected static _registered: boolean;
    static htmlTagName: string;
    static register(): void;
}
